libdeclarative-location_1.2.0-3+b1_amd64.deb


Advertisement

Description

libdeclarative-location - Qt Mobility Location QML plugin

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main amd64
Package name libdeclarative-location
Package version 1.2.0
Package release 3+b1
Package architecture amd64
Package type deb
Installed size 549 B
Download size 103.46 KB
Official Mirror ftp.br.debian.org
Qt Mobility delivers a set of new APIs for mobile device functionality.
This package contains the Location QML plugin for QtDeclarative.

Alternatives

Package Version Architecture Repository
libdeclarative-location_1.2.0-3+b1_i386.deb 1.2.0 i386 Debian Main
libdeclarative-location - - -

Requires

Name Value
libc6 >= 2.14
libgcc1 >= 1:4.1.1
libqt4-declarative >= 4:4.8.1
libqt4-network >= 4:4.8.1
libqtcore4 >= 4:4.8.1
libqtgui4 >= 4:4.8.1
libqtlocation1 -
libstdc++6 >= 4.1.1

Download

Type URL
Binary Package libdeclarative-location_1.2.0-3+b1_amd64.deb
Source Package qtmobility

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libdeclarative-location deb package:
    # sudo apt-get install libdeclarative-location

Files

Path
/usr/lib/x86_64-linux-gnu/qt4/imports/QtMobility/location/libdeclarative_location.so
/usr/lib/x86_64-linux-gnu/qt4/imports/QtMobility/location/qmldir
/usr/share/doc/libdeclarative-location/changelog.Debian.amd64.gz
/usr/share/doc/libdeclarative-location/changelog.Debian.gz
/usr/share/doc/libdeclarative-location/copyright

Changelog

2012-05-01 - Fathi Boudra <fabo@debian.org>
qtmobility (1.2.0-3) unstable; urgency=low
* Upload to Sid.
* Update debian/control:
- bump Qt build dependency to 4:4.8.1.
- bump Standards-Version to 3.9.3 (no changes needed).
* Update imports paths.
* Add gcc-4.7_unistd.patch - fix ftbfs with GCC 4.7. (Closes: #667344)
2011-09-23 - Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
qtmobility (1.2.0-2) experimental; urgency=low
[ Pino Toscano ]
* Use wildcard architectures:
- !kfreebsd-i386 !kfreebsd-amd64 !hurd-i386 -> linux-any
[ Fathi Boudra ]
* Convert the package to multiarch:
- bump debian/compat to 9.
- bump build dependency on debhelper >= 8.1.3~.
- bump build dependency on libqt4-dev and libqt4-opengl-dev >= 4:4.8.0~.
- add Multi-Arch: same and Pre-Depends: ${misc:Pre-Depends} fields to
shared libraries packages.
- update installed files to multiarch paths.
- add support for DEB_HOST_MULTIARCH, needed for libdir and plugindir.
* Update debian/control: build depends on gdb >= 7.3 for gdb_dwarf_index.
* Add a set of patches, cherry-picked upstream, to fix build with Qt 4.8:
- QTMOBILITY-790_subdirs_for_serviceframework-b90cee3.patch
- Fix_metaobjectbuilder_build_errors_4.8_and_4.7-f102053.patch
- Fix_4.8_and_4.7_build_for_linux-eff4af5.patch
- Fix_4.8_4.7_linux_build-f9c87a7.patch
2011-06-19 - Fathi Boudra <fabo@debian.org>
qtmobility (1.2.0-1) unstable; urgency=low
* New upstream release.
* Drop revert_QTMOBILITY-614.patch.
* Restore icheck and conflicts against icheck package.
* Update debian/qtmobility-dev.install: add ndefhandlergen and update
headers.
2011-03-24 - Modestas Vainius <modax@debian.org>
qtmobility (1.2.0~beta0+git3174-2) unstable; urgency=high
* Do not ship /usr/bin/icheck for now. (Closes: #617725)
* Urgency=high, transition stuff.
2011-03-06 - Fathi Boudra <fabo@debian.org>
qtmobility (1.2.0~beta0+git3174-1) unstable; urgency=low
* New upstream snapshot based on master branch - Upload to Sid.
* Remove patches:
- ftbfs_multimedia_examples.patch - fixed upstream.
- enable_pkgconfig_support.patch - fixed upstream.
- qmf_2010w36_support.patch - merged upstream.
* Add patches:
- revert_QTMOBILITY-614.patch: revert commit 0fd9fc9 - It breaks 3rd party
applications build.
* Update debian/control:
- add libblkid-dev and libudev-dev build dependencies.
- move hal dependency to suggests.
- add libdeclarative-connectivity, libdeclarative-feedback,
libdeclarative-organizer and libqtconnectivity1 packages.
* Update debian/rules:
- add connectivity to the list of modules.
- add -languages configure option.
- remove pkgconfig fix - pkgconfig files aren't shipped undet Linux.
- fix executable permissions files.
- fix typo libs -> lib.
* Update debian/*.install files.
2010-10-09 - Fathi Boudra <fabo@debian.org>
qtmobility (1.1.0~beta2-1) experimental; urgency=low
* New upstream release.
* Update debian/control:
- remove libqtwebkit-dev build dependency.
- add libxrandr-dev build dependency.
- bump qmf build dependency to 1.0~2010w39.
- add libqtfeedback1, libqtgallery1, libqtorganizer1,
libqtversitorganizer1, libdeclarative-gallery, libdeclarative-location,
libdeclarative-messaging and libdeclarative-systeminfo packages
* Update debian/rules:
- update QMF_INCLUDEDIR path.
- add -demosdir, -examplesdir and -demos configure options.
- add gallery, organizer and feedback to the modules list.
- fix pkgconfig and prl files.
2010-09-07 - Fathi Boudra <fabo@debian.org>
qtmobility (1.0.2-2) experimental; urgency=low
[ Fathi Boudra ]
* Split servicefw in his own package.
[ Pino Toscano ]
* Update debian/control:
- limit the libasound2-dev, libbluetooth-dev and network-manager-dev build
dependencies to linux-any (as they are Linux-specific).

See Also

Package Description
libdeclarative-messaging_1.2.0-3+b1_amd64.deb Qt Mobility Messaging QML plugin
libdeclarative-multimedia_1.2.0-3+b1_amd64.deb Qt Mobility Multimedia QML plugin
libdeclarative-organizer_1.2.0-3+b1_amd64.deb Qt Mobility Organizer QML plugin
libdeclarative-publishsubscribe_1.2.0-3+b1_amd64.deb Qt Mobility Publish and Subscribe QML plugin
libdeclarative-sensors_1.2.0-3+b1_amd64.deb Qt Mobility Sensors QML plugin
libdeclarative-serviceframework_1.2.0-3+b1_amd64.deb Qt Mobility Service Framework QML plugin
libdeclarative-systeminfo_1.2.0-3+b1_amd64.deb Qt Mobility System Information QML plugin
libdecodeqr-dev_0.9.3-6.2+b1_amd64.deb C/C++ library for decoding QR code
libdecodeqr-examples_0.9.3-6.2+b1_amd64.deb Sample program in C/C++ library for decoding QR code
libdecodeqr0_0.9.3-6.2+b1_amd64.deb C/C++ library for decoding QR code
libdee-1.0-4_1.0.10-3.1_amd64.deb model to synchronize mutiple instances over DBus - shared lib
libdee-dev_1.0.10-3.1_amd64.deb model to synchronize mutiple instances over DBus - dev files
libdee-doc_1.0.10-3.1_all.deb model to synchronize mutiple instances over DBus - documentation
libdefhash-perl_1.0.5-1_all.deb module to define things according to a specification, using hashes
libdelimmatch-perl_1.06a-4_all.deb Perl module to match delimited substrings
Advertisement
Advertisement